public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/libpod/
Date: Tue, 29 Dec 2020 00:03:06 +0000 (UTC)	[thread overview]
Message-ID: <1609200164.cbb066060d8024488fd94466f690adfe5f2d270b.zmedico@gentoo> (raw)

commit:     cbb066060d8024488fd94466f690adfe5f2d270b
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 28 23:57:36 2020 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue Dec 29 00:02:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbb06606

app-emulation/libpod: Bump to version 2.2.1

Closes: https://bugs.gentoo.org/762283
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-emulation/libpod/Manifest            |   1 +
 app-emulation/libpod/libpod-2.2.1.ebuild | 154 +++++++++++++++++++++++++++++++
 2 files changed, 155 insertions(+)

diff --git a/app-emulation/libpod/Manifest b/app-emulation/libpod/Manifest
index 6afb95c4974..62494a75e86 100644
--- a/app-emulation/libpod/Manifest
+++ b/app-emulation/libpod/Manifest
@@ -1 +1,2 @@
 DIST podman-2.1.0.tar.gz 9444707 BLAKE2B 62dacd316a8d6ae8aab0523338d818c69cf1228120e828a89301c9fdbb98082b85328c03c61f9f2a36c7a50105ce5fd025ad2b0e9ba2705c86b0d7e263fc92a6 SHA512 eb9b0cb184138af022e6d8e145fc6c4188c75c0695e0c6e62d54112a6b143424dd0caf9686f83637d08ff1fdbc24afca564c89f8cb4ab68b8f8d07345856398e
+DIST podman-2.2.1.tar.gz 9653842 BLAKE2B 4e86903fc8fb51b9b1aa2b46704c1828b4ea11b738eccf198260c678b175e0a8699120e0280a2803f7898c9b28040a75d489ccd09ebd9c1f45d10a86e2a26c8f SHA512 4c6eda9320daf18b5f0e892c0f3019a5658d983936c25a195bcb1fbc28c18a9a65e87043faddeb47e9f62c9b445efc2906a2b7ccedca877941fadb21b1b68367

diff --git a/app-emulation/libpod/libpod-2.2.1.ebuild b/app-emulation/libpod/libpod-2.2.1.ebuild
new file mode 100644
index 00000000000..8335388f9f6
--- /dev/null
+++ b/app-emulation/libpod/libpod-2.2.1.ebuild
@@ -0,0 +1,154 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGIT_COMMIT="d8868746fd3f45b9bfd79e37bf2aa0c7103245fd"
+
+inherit bash-completion-r1 flag-o-matic go-module
+
+DESCRIPTION="Library and podman tool for running OCI-based containers in Pods"
+HOMEPAGE="https://github.com/containers/podman/"
+MY_PN=podman
+MY_P=${MY_PN}-${PV}
+SRC_URI="https://github.com/containers/podman/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
+LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT MPL-2.0"
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm64"
+IUSE="apparmor btrfs +fuse +rootless selinux"
+RESTRICT="test"
+
+COMMON_DEPEND="
+	app-crypt/gpgme:=
+	>=app-emulation/conmon-2.0.0
+	|| ( >=app-emulation/runc-1.0.0_rc6 app-emulation/crun )
+	dev-libs/libassuan:=
+	dev-libs/libgpg-error:=
+	>=net-misc/cni-plugins-0.8.6
+	sys-fs/lvm2
+	sys-libs/libseccomp:=
+
+	apparmor? ( sys-libs/libapparmor )
+	btrfs? ( sys-fs/btrfs-progs )
+	rootless? ( app-emulation/slirp4netns )
+	selinux? ( sys-libs/libselinux:= )
+"
+DEPEND="
+	${COMMON_DEPEND}
+	dev-go/go-md2man"
+RDEPEND="${COMMON_DEPEND}
+	fuse? ( sys-fs/fuse-overlayfs )"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+	default
+
+	# Disable installation of python modules here, since those are
+	# installed by separate ebuilds.
+	local makefile_sed_args=(
+		-e '/^GIT_.*/d'
+		-e 's/$(GO) build/$(GO) build -v -work -x/'
+		-e 's/^\(install:.*\) install\.python$/\1/'
+		-e 's|^pkg/varlink/iopodman.go: .gopathok pkg/varlink/io.podman.varlink$|pkg/varlink/iopodman.go: pkg/varlink/io.podman.varlink|'
+	)
+
+	has_version -b '>=dev-lang/go-1.13.9' || makefile_sed_args+=(-e 's:GO111MODULE=off:GO111MODULE=on:')
+
+	sed "${makefile_sed_args[@]}" -i Makefile || die
+
+	sed -e 's|OUTPUT="${CIRRUS_TAG:.*|OUTPUT='v${PV}'|' \
+		-i hack/get_release_info.sh || die
+}
+
+src_compile() {
+	# Filter unsupported linker flags
+	filter-flags '-Wl,*'
+
+	[[ -f hack/apparmor_tag.sh ]] || die
+	if use apparmor; then
+		echo -e "#!/bin/sh\necho apparmor" > hack/apparmor_tag.sh || die
+	else
+		echo -e "#!/bin/sh\ntrue" > hack/apparmor_tag.sh || die
+	fi
+
+	[[ -f hack/btrfs_installed_tag.sh ]] || die
+	if use btrfs; then
+		echo -e "#!/bin/sh\ntrue" > hack/btrfs_installed_tag.sh || die
+	else
+		echo -e "#!/bin/sh\necho exclude_graphdriver_btrfs" > \
+			hack/btrfs_installed_tag.sh || die
+	fi
+
+	[[ -f hack/selinux_tag.sh ]] || die
+	if use selinux; then
+		echo -e "#!/bin/sh\necho selinux" > hack/selinux_tag.sh || die
+	else
+		echo -e "#!/bin/sh\ntrue" > hack/selinux_tag.sh || die
+	fi
+
+	# Avoid this error when generating pkg/varlink/iopodman.go:
+	# cannot find package "github.com/varlink/go/varlink/idl"
+	mkdir -p _output || die
+	ln -snf ../vendor _output/src || die
+	GO111MODULE=off GOPATH=${PWD}/_output go generate ./pkg/varlink/... || die
+	rm _output/src || die
+
+	export -n GOCACHE GOPATH XDG_CACHE_HOME
+	GOBIN="${S}/bin" \
+		emake all \
+			GIT_BRANCH=master \
+			GIT_BRANCH_CLEAN=master \
+			COMMIT_NO="${EGIT_COMMIT}" \
+			GIT_COMMIT="${EGIT_COMMIT}"
+}
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+
+	insinto /etc/containers
+	newins test/registries.conf registries.conf.example
+	newins test/policy.json policy.json.example
+
+	insinto /usr/share/containers
+	doins vendor/github.com/containers/common/pkg/seccomp/seccomp.json
+
+	newinitd "${FILESDIR}"/podman.initd podman
+
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}/podman.logrotated" podman
+
+	dobashcomp completions/bash/*
+
+	keepdir /var/lib/containers
+}
+
+pkg_preinst() {
+	LIBPOD_ROOTLESS_UPGRADE=false
+	if use rootless; then
+		has_version 'app-emulation/libpod[rootless]' || LIBPOD_ROOTLESS_UPGRADE=true
+	fi
+}
+
+pkg_postinst() {
+	local want_newline=false
+	if [[ ! ( -e ${EROOT%/*}/etc/containers/policy.json && -e ${EROOT%/*}/etc/containers/registries.conf ) ]]; then
+		elog "You need to create the following config files:"
+		elog "/etc/containers/registries.conf"
+		elog "/etc/containers/policy.json"
+		elog "To copy over default examples, use:"
+		elog "cp /etc/containers/registries.conf{.example,}"
+		elog "cp /etc/containers/policy.json{.example,}"
+		want_newline=true
+	fi
+	if [[ ${LIBPOD_ROOTLESS_UPGRADE} == true ]] ; then
+		${want_newline} && elog ""
+		elog "For rootless operation, you need to configure subuid/subgid"
+		elog "for user running podman. In case subuid/subgid has only been"
+		elog "configured for root, run:"
+		elog "usermod --add-subuids 1065536-1131071 <user>"
+		elog "usermod --add-subgids 1065536-1131071 <user>"
+		want_newline=true
+	fi
+}


             reply	other threads:[~2020-12-29  0:03 UTC|newest]

Thread overview: 48+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-29  0:03 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-01-18  1:11 [gentoo-commits] repo/gentoo:master commit in: app-emulation/libpod/ Zac Medico
2020-12-29 18:03 Zac Medico
2020-09-23 16:12 Zac Medico
2020-09-23  5:40 Zac Medico
2020-08-30  0:12 Zac Medico
2020-08-29 22:45 Sam James
2020-07-31 21:06 Zac Medico
2020-07-23 18:23 Zac Medico
2020-07-16  0:47 Zac Medico
2020-06-28 20:53 Zac Medico
2020-06-20  3:26 Zac Medico
2020-06-09 23:02 Zac Medico
2020-06-09 23:02 Zac Medico
2020-05-25 22:53 Zac Medico
2020-04-19 22:57 Zac Medico
2020-04-19 22:57 Zac Medico
2020-04-05 19:41 Zac Medico
2020-04-02  0:49 Zac Medico
2020-03-09 22:21 Zac Medico
2020-02-08  3:17 Zac Medico
2020-01-19 21:22 Zac Medico
2020-01-19 21:17 Zac Medico
2020-01-18  0:59 Zac Medico
2019-12-13 22:26 Zac Medico
2019-12-06  8:05 Zac Medico
2019-11-26  4:26 Zac Medico
2019-11-24 19:46 Zac Medico
2019-11-15 21:38 Zac Medico
2019-11-09 22:52 Zac Medico
2019-11-09 22:37 Zac Medico
2019-11-03 21:41 Zac Medico
2019-10-18  5:30 Zac Medico
2019-09-19  3:37 Zac Medico
2019-09-19  3:37 Zac Medico
2019-09-07  0:34 Zac Medico
2019-08-21 19:45 Zac Medico
2019-07-18 19:48 Zac Medico
2019-06-10 17:51 Zac Medico
2019-06-01  6:16 Zac Medico
2019-06-01  6:10 Zac Medico
2019-05-28 23:47 Zac Medico
2019-04-11 22:53 Zac Medico
2019-04-11 21:42 Zac Medico
2019-03-13 16:52 Zac Medico
2019-02-19 19:45 Zac Medico
2019-02-17  2:44 Zac Medico
2019-01-07 10:16 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1609200164.cbb066060d8024488fd94466f690adfe5f2d270b.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox